# 크레딧 현황 조회 API

비즈니스의 크레딧 사용량을 조회할 수 있는 API를 제공합니다.

<br>

## `GET` kit-api/v1/credit-usages/status

Method: GET\
Endpoint: kit-api/v1/credit-usages/status

<br>

## Example

```
...kit-api/v1/credit-usages/status
```

<br>

## Response

```json
{
  "ok": true,
  "data": {
    "renewalDate": "2024-12-08T15:00:00.000Z",
    "credit": {
      "defaultCount": 5, // 기본 무료 크레딧
      "remainingDefaultCount": 3, // 잔여 무료 크레딧
      "paidCreditCount": 0, // 구매한 크레딧
      "remainingCount": 3 // 남은 전체 크레딧
    }
  }
}
```

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>

## Error Codes

| Status Code | Error Code          | Description               |
| ----------- | ------------------- | ------------------------- |
| 500         | FAILED\_GET\_CREDIT | 조회 과정에서 알 수 없는 에러가 발생한 경우 |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/business/get-credit-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
